AOZ Studio Beta - Bug #333

Hot Spot not flipped when using HREV/VREV
04/08/2020 06:41 PM - Paul Kitching

Status: Closed Start date: 04/08/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version:

Affected version: 0.9.8.1

Description

When mirroring/flipping bobs or sprites with HREV/VREV, the hot spot isn't also mirrored.

e.g.

#manifest: "pc"
#displayWidth:1920
#displayHeight:1080
#fullScreen:true
#splashScreen:false
#fps:false

degree

ink 5

bob 1,200,200,1

bob 2,500,200, hrev (1)

hot spot 1,$21

rot=0

wait key

do
add rot, 4,0 to 359
bob rotate 1,rot
bob rotate 2, rot
wait vbl

loop

Example bob attached, if required.
The AMOS manual states:

When an image is reversed like this, the location of the hot spot is reversed horizontally too. So if the hot spot was
originally in the top left-hand corner, the hot spot of the HREV image will be in the top right-hand corner:

History

#1 - 04/14/2020 10:21 AM - Francois Lionet

- Status changed from New to Resolved

Fixed!

#2 - 04/14/2020 10:21 AM - Francois Lionet
- Affected version changed from 0.9.8 to 0.9.8.1

#3 - 08/04/2020 02:04 PM - Paul Kitching

- Status changed from Resolved to Closed
